%global gem_name sass-rails
Name:                rubygem-%{gem_name}
Version:             5.0.7
Release:             1
Summary:             Sass adapter for the Rails asset pipeline
License:             MIT
URL:                 https://github.com/rails/sass-rails
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:             https://github.com/rails/sass-rails/archive/v%{version}.tar.gz
Patch0:              rubygem-sass-rails-5.0.7-Rails-5-2-compatibility.patch
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(bundler) rubygem(rails) rubygem(sass)
BuildRequires:       rubygem(sqlite3) rubygem(tilt)
BuildArch:           noarch
%description
Sass adapter for the Rails asset pipeline.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version} -b 1
pwd
#ln -s %%{gem_name}-%%{version}/spec spec
#ln -s %%{gem_name}-%%{version}/test test
pushd %{_builddir}
pwd
ls
ln -s %{gem_name}-%{version}/test test
%patch0 -p1
popd

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
ln -s %{_builddir}/%{gem_name}-%{version}/test test
cp %{buildroot}%{gem_spec} sass-rails.gemspec
echo 'gem "sass-rails", :path => "."' >> Gemfile
ruby -I.:test -e 'Dir.glob "test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 19 2020 xiezheng <xiezheng4@huawei.com> - 5.0.7-1
- package init
